Upgrade murano with adding murano-node causes service fault

Bug #1626286 reported by Victor Ryzhenkin on 2016-09-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fuel-plugin-murano
High
Denis Egorenko

Bug Description

Scenario:
            1. Revert shapshot with box murano installation
            2. Upload plugin to master node
            3. Install plugin
            4. Activate plugin and add new node
               with murano-node role to the cluster
            5. Update cluster (Deploy changes)
            6. Run OSTF

Murano OSTF failed.

Traceback:
<131>Sep 21 20:18:02 node-2 murano-engine: 2016-09-21 20:18:02.607 22523 ERROR murano.common.engine [-] Exception Incorrect package format: Unsupported format MuranoPL/1.4 occurred
during invocation of <load>
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine Traceback (most recent call last):
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/common/engine.py", line 183, in _execute
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine obj = executor.load(self.model)
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/dsl/executor.py", line 216, in load
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine return self._load(data)
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/dsl/executor.py", line 222, in _load
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine result = self._object_store.load(data.get(constants.DM_OBJECTS), None)
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/dsl/object_store.py", line 74, in load
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine obj_type, version_spec)
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/engine/package_loader.py", line 541, in load_class_package
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine class_name, version_spec)
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/engine/package_loader.py", line 140, in load_class_package
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine self._get_package_by_definition(package_definition))
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/engine/package_loader.py", line 277, in _get_package_by_definition
2016-09-21 20:18:02.607 22523 ERROR murano.common.engine drop_dir=False) as app_p

Info:
It looks that old service wasn't stopped/updated and request comes to old service. So, since the DB is common, the Core library have 1.4 MPL version which ws not supported by the mitaka Murano which causes server fault.

Changed in fuel-plugin-murano:
status: New → Confirmed
importance: Undecided → High
milestone: none → 1.0.0
Changed in fuel-plugin-murano:
milestone: 1.0.0 → 1.0.1
Changed in fuel-plugin-murano:
assignee: nobody → Denis Egorenko (degorenko)
Denis Egorenko (degorenko) wrote :
Changed in fuel-plugin-murano:
status: Confirmed → In Progress
Changed in fuel-plugin-murano:
status: In Progress → Fix Committed
Alex Kholkin (akholkin) on 2016-10-05
Changed in fuel-plugin-murano:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers